<?xml version="1.0"?>

<definitions name="phpBBWS"
    targetNamespace="urn:phpBBWS"
    xmlns:tns=      "urn:phpBBWS"
    xmlns:typens=   "urn:phpBBWS"
    xmlns:xsd=    "http://www.w3.org/2001/XMLSchema" 
    xmlns     =   "http://schemas.xmlsoap.org/wsdl/"
    xmlns:wsdl=   "http://schemas.xmlsoap.org/wsdl/"
    xmlns:soap=   "http://schemas.xmlsoap.org/wsdl/soap/"
    xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/">
    
    <xsd:import namespace="http://schemas.xmlsoap.org/soap/encoding"/>
	
	<types>
		<xsd:schema xmlns="http://www.w3.org/2001/XMLSchema"
			targetNamespace="urn:phpBBWS">
			<xsd:complexType name="UserList">
				<complexContent>
					<restriction base="soapenc:Array">
						<xsd:sequence>
							<xsd:element name="ID" type="int">
							</xsd:element>
							<xsd:element name="Name"
								type="string">
							</xsd:element>
						</xsd:sequence>
						<attribute ref="arrayType"
							wsdl:arrayType="xsd:string[]" />
					</restriction>
				</complexContent>
			</xsd:complexType>
			<xsd:complexType name="MyResults">
				<xsd:all>
					<xsd:element name="date" type="xsd:string" />
				</xsd:all>
			</xsd:complexType>
        </xsd:schema>
	</types>

	<message name="getUsers">
		<part name="none" type="xsd:int" />
	</message>

	<message name="getUsersResponse">
		<part name="value" type="typens:UserList"/>
	</message>

	<message name="getServerDate">
		<part name="none" type="xsd:int" />
	</message>

	<message name="getServerDateResponse">
		<part name="value" type="typens:MyResults" />
	</message>

	<wsdl:message name="getUsers_faultMsg">
		<wsdl:part name="fault" type="xsd:string"></wsdl:part>
	</wsdl:message>
	<wsdl:portType name="phpBBWSPorts">
		<wsdl:operation name="getServerDate">
			<wsdl:input message="typens:getServerDate" />
			<wsdl:output message="typens:getServerDateResponse" />
		</wsdl:operation>
		<wsdl:operation name="getUsers">
			<wsdl:input message="typens:getUsers" />
			<wsdl:output message="typens:getUsersResponse" />
            <wsdl:fault name="fault" message="tns:getUsers_faultMsg"></wsdl:fault>
        </wsdl:operation>
	</wsdl:portType>

	<binding name="phpBBWbinding" type="typens:phpBBWSPorts">
		<soap:binding style="rpc"
			transport="http://schemas.xmlsoap.org/soap/http" />
		<operation name="getServerDate">
			<soap:operation
				soapAction="http://127.0.0.1/Forum/WS/fichier.wsdl" />
			<input>
				<soap:body use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
		</operation>
		<operation name="getUsers">
			<soap:operation
				soapAction="http://127.0.0.1/Forum/WS/fichier.wsdl" />
			<input>
				<soap:body use="literal" />
			</input>
			<output>
				<soap:body use="literal" />
			</output>
		</operation>
	</binding>

	<service name="phpBB_USER">
		<documentation>Service Wew d'accès à PHPBB et permettant des requêtes sur les utilisateurs du forum
</documentation>
		<port name="phpBBWSPorts" binding="tns:phpBBWbinding">
			<soap:address
				location="http://127.0.0.1/Forum/WS/webservice.php" />
		</port>
	</service>

</definitions> 